<div class="fieldset-legend">
        <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="true">
                    <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_dateCreate">Tanggal Request</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true">
                                                </p-calendar>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="input-group input-calendar">
                                                <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                    dateFormat="dd-mm-yy" 
                                                    [showIcon]="true">
                                                </p-calendar>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_" jhiTranslate="mpmApp.vehicleSalesOrder.status">Status</label>
                                    <select class="form-control">
                                        <option value="1">Open</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label class="form-control-label" for="field_">Dealer Tujuan</label>
                                    <select class="form-control">
                                        <option value="1">OTO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="btn-filter-wrapper">
                            <button type="button" class="btn btn-primary btn-filter">
                                <span>Filter</span>
                            </button>
                        </div>      
                </p-accordionTab>
            </p-accordion>

            <!-- <div>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-70 mt-2">
                        <div class="btn-filter-wrapper pull-right">
                            <button (click)="notAvailable()" [disabled]="selecteds?.length == 0" type="button" class="btn btn-primary btn-filter">
                                <span>Note Available</span>
                            </button>
                        </div>
                    </div>
                </form>
            </div> -->
            <p-dataTable
            [value]="requestNotes"
            [editable]="true"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            dataKey="idreqnot"
            expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)"
            [(selection)]="selecteds"
            class="width-filter">
            <p-header>
                <jhi-alert></jhi-alert>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
           
            <p-column header="Nomor Request" >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.reqnotnumber">
                    </div>{{rowData.reqnotnumber}}
                </ng-template>
            </p-column>

            <p-column header="Tanggal Request"  >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.dtcreated">
                        {{rowData.dtcreated|date:'dd-MMM-yyyy'}}
                    </div>
                </ng-template>
            </p-column>

            <p-column header="Dealer Tujuan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.cabang">
                        {{rowData.cabang}}
                    </div>
                </ng-template>
                </ng-template>
            </p-column>

            <p-column header="Status">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.status">
                    </div>{{rowData.status}}
                </ng-template>
            </p-column>


            <p-column header="Detail"[style]="{'width': '70px', 'text-align': 'center'}" >
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="submit"
                    icon="fa-info-circle"
                    [routerLink]="['../request-note-detail', rowData.idreqnot]"
                    class="flat-button"
                    pTooltip="Detail">
                    </button>   
                </ng-template>
            </p-column>

            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
            </p-column>

            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>

        </p-dataTable>
        </p-tabPanel>
                
                
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>